Bug 1702595 - youtube-dl needs to be updated otherwise it cannot be used with Youtube anymore
Summary: youtube-dl needs to be updated otherwise it cannot be used with Youtube anymore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1703164 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-24 08:17 UTC by ce-ce-mel
Modified: 2019-09-27 00:52 UTC (History)
5 users (show)

Fixed In Version: youtube-dl-2019.04.24-1.fc28 youtube-dl-2019.04.24-1.fc29 youtube-dl-2019.04.24-1.fc30 youtube-dl-2019.07.30-1.el7 youtube-dl-2019.09.12.1-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:36:00 UTC
Type: Bug


Attachments (Terms of Use)

Description ce-ce-mel 2019-04-24 08:17:07 UTC
Description of problem:
Youtube-dl is no more able to fetch data from Youtube website. A new release has been deployed (upstream) 5 hours ago to fix the issue.

Version-Release number of selected component (if applicable):
2019.01.30-1.fc29

How reproducible:
Always

Steps to Reproduce:
1. youtube-dl <Youtube URL>

Actual results:
ERROR: <url>: "token" parameter not in video info for unknown reason; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.

Expected results:
Download the video

Additional info:
Release 2019.04.24 solves the issue. Relevant commit 56667d6 (https://github.com/ytdl-org/youtube-dl/commit/56667d622c3f6e7594a04f8cd5f4371875940725)

Comment 1 Fedora Update System 2019-04-25 01:30:39 UTC
youtube-dl-2019.04.24-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-94fc2a4aa3

Comment 2 Fedora Update System 2019-04-25 01:30:44 UTC
youtube-dl-2019.04.24-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-96d3edefac

Comment 3 Fedora Update System 2019-04-25 01:30:50 UTC
youtube-dl-2019.04.24-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0c7897ede6

Comment 4 Fedora Update System 2019-04-25 01:30:56 UTC
youtube-dl-2019.04.24-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0674e3ed02

Comment 5 Fedora Update System 2019-04-25 01:31:01 UTC
youtube-dl-2019.04.24-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-17a1c23f47

Comment 6 Fedora Update System 2019-04-25 15:37:41 UTC
youtube-dl-2019.04.24-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-96d3edefac

Comment 7 Till Maas 2019-04-25 20:12:15 UTC
*** Bug 1703164 has been marked as a duplicate of this bug. ***

Comment 8 customercare 2019-04-25 20:16:37 UTC
already tested v2019.04.24, working correctly with f28.

Comment 9 customercare 2019-04-25 20:24:18 UTC
update is not installable for fedora 28 :

"sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2019-96d3edefac"

is not working:

"Letzte Prüfung auf abgelaufene Metadaten: vor 0:00:18 am Do 25 Apr 2019 22:22:20 CEST.
Keine sicherheitsrelevanten Aktualisierungen verfügbar, aber 51305 Aktualisierungen verfügbar
Abhängigkeiten sind aufgelöst.
Nichts zu tun.
Fertig."

means:

no security related updates available, but 51305 updates available.
dependencies resolved
nothing to do
done.

Comment 10 customercare 2019-04-25 20:32:06 UTC
downloaded rpm via koji is working. karma is given.

Comment 11 Till Maas 2019-04-25 21:20:22 UTC
(In reply to customercare from comment #9)
> update is not installable for fedora 28 :
> 
> "sudo dnf upgrade --enablerepo=updates-testing
> --advisory=FEDORA-2019-96d3edefac"
> 
> is not working:
> 
> "Letzte Prüfung auf abgelaufene Metadaten: vor 0:00:18 am Do 25 Apr 2019
> 22:22:20 CEST.
> Keine sicherheitsrelevanten Aktualisierungen verfügbar, aber 51305
> Aktualisierungen verfügbar
> Abhängigkeiten sind aufgelöst.
> Nichts zu tun.
> Fertig."
> 
> means:
> 
> no security related updates available, but 51305 updates available.
> dependencies resolved
> nothing to do
> done.

Thank you! It needs a little bit of time for the update to be available in the repos. Hint: If you want to avoid translating messages, you can use `LC_ALL=C sudo ...`  to get messages in English.

Comment 12 Fedora Update System 2019-04-25 22:51:24 UTC
youtube-dl-2019.04.24-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0c7897ede6

Comment 13 Fedora Update System 2019-04-26 00:41:18 UTC
youtube-dl-2019.04.24-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-94fc2a4aa3

Comment 14 Fedora Update System 2019-04-26 00:41:29 UTC
youtube-dl-2019.04.24-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0674e3ed02

Comment 15 Fedora Update System 2019-04-26 22:09:49 UTC
youtube-dl-2019.04.24-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-17a1c23f47

Comment 16 Fedora Update System 2019-04-27 21:36:00 UTC
youtube-dl-2019.04.24-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-04-27 23:10:42 UTC
youtube-dl-2019.04.24-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-05-01 00:40:41 UTC
youtube-dl-2019.04.24-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-06-17 02:06:32 UTC
FEDORA-EPEL-2019-7fcd7ca4cc has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7fcd7ca4cc

Comment 20 Fedora Update System 2019-06-17 02:07:10 UTC
FEDORA-EPEL-2019-15076da449 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-15076da449

Comment 21 Fedora Update System 2019-06-17 18:32:30 UTC
youtube-dl-2019.06.08-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7fcd7ca4cc

Comment 22 Fedora Update System 2019-06-17 18:39:27 UTC
youtube-dl-2019.06.08-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-15076da449

Comment 23 Fedora Update System 2019-06-23 21:07:32 UTC
FEDORA-EPEL-2019-6cfef9aad8 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6cfef9aad8

Comment 24 Fedora Update System 2019-06-23 21:07:42 UTC
FEDORA-EPEL-2019-21e0a2b48c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-21e0a2b48c

Comment 25 Fedora Update System 2019-06-24 02:10:03 UTC
youtube-dl-2019.06.21-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-21e0a2b48c

Comment 26 Fedora Update System 2019-06-24 02:12:29 UTC
youtube-dl-2019.06.21-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6cfef9aad8

Comment 27 Fedora Update System 2019-07-30 21:12:50 UTC
FEDORA-EPEL-2019-7c4fe32880 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7c4fe32880

Comment 28 Fedora Update System 2019-07-31 03:48:24 UTC
youtube-dl-2019.07.30-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7c4fe32880

Comment 29 Fedora Update System 2019-08-15 17:36:04 UTC
youtube-dl-2019.07.30-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2019-09-11 20:17:09 UTC
FEDORA-EPEL-2019-210511c413 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-210511c413

Comment 31 Fedora Update System 2019-09-11 20:27:02 UTC
FEDORA-EPEL-2019-52efaebea1 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-52efaebea1

Comment 32 Fedora Update System 2019-09-12 21:41:21 UTC
youtube-dl-2019.09.12.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-52efaebea1

Comment 33 Fedora Update System 2019-09-27 00:52:08 UTC
youtube-dl-2019.09.12.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.